# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_without repolib
%bcond_without site

%define repodir %{_javadir}/repository.jboss.com/jboss/jboss-javaee/%{javaee_namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section   free
%define javaee_namedversion      5.0.1.GA
%define ejb_namedversion         3.0.0.GA
%define jacc_namedversion        1.1.0.GA_SP1
%define jad_namedversion         1.2.0.GA
%define jaspi_namedversion       1.0.0.GA
%define jaxr_namedversion        1.0.0.GA
%define jca_namedversion         1.5.0.GA
%define jms_namedversion         1.1.0.GA
%define transaction_namedversion 1.0.1.GA

Name:           jboss-javaee
Version:        5.0.1
Release:        2.9%{?dist}
Epoch:          0
Summary:        JBoss JavaEE 5.0 Aggregate
License:        LGPLv2+
URL:            http://www.jboss.org/
Group:          Development/Libraries/Java
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/javaee/tags/5.0.1.GA/ jboss-javaee-5.0.1 && tar cjf jboss-javaee-5.0.1.tar.bz2 jboss-javaee-5.0.1
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-component-info.xml
Source4:        %{name}-org-jboss-javaee-component-info.xml
Source5:        %{name}-jboss-jboss-jaspi-api-component-info.xml
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/javaee/tags/jboss-jacc-api-1.1.0.GA_SP1/ && tar cjf jboss-jacc-api-1.1.0.GA_SP1.tar.bz2 jboss-jacc-api-1.1.0.GA_SP1
Source6:        jboss-jacc-api-1.1.0.GA_SP1.tar.bz2
Patch0:         jboss-javaee-jboss-ejb-api-pom.patch
Provides:       annotation_1_0_api
Provides:       annotation_api = 0:1.0
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       java >= 0:1.5.0
Requires:       jpackage-utils
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jboss-common-core >= 0:2.2.8
BuildRequires:  jboss-common-logging-spi >= 0:2.0.5
BuildRequires:  jboss-parent
BuildRequires:  jbossweb-servlet-2.5-api >= 0:2.1.1
# FIXME: (dwalluck): 3.0.4.GA listed in POM
#BuildRequires:  jbossws-native >= 0:3.0.1
BuildRequires:  jbossws
BuildRequires:  jbossws-parent
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  junit
BuildRequires:  maven-jboss-deploy-plugin
BuildRequires:  maven-shared-jar
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-default-skin
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  mojo-maven2-plugin-taglist
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JBoss JavaEE API classes.

%package poms
Summary:        POM files for jboss-javaee
Group:          Development/Tools
Requires(post): jpackage-utils >= 1.7.3
Requires(postun): jpackage-utils >= 1.7.3

%description poms
The Project Object Model files for the jboss-javaee modules.

%package -n jboss-ejb-3.0-api
Summary:        JBoss EJB 3.0 API
Group:          Development/Libraries/Java
Provides:       ejb = 0:3.0
Provides:       ejb_3_0_api
Provides:       ejb_api = 0:3.0
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jaxrpc_1_1_api
Requires:       jboss-transaction-1.0.1-api
BuildRequires:  jaxrpc_1_1_api

%description -n jboss-ejb-3.0-api
The Java EJB 3.0 API classes.

%package -n jboss-jacc-1.1-api
Summary:        JBoss JACC 1.1 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jbossweb-servlet-2.5-api
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       jacc_1_1_api
Provides:       jacc_api = 0:1.1

%description -n jboss-jacc-1.1-api
The Java Authorization Contract for Containers 1.1 API classes.

%package -n jboss-jad-1.2-api
Summary:        JBoss JAD 1.2 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       jad_1_2_api
Provides:       jad_api = 0:1.2

%description -n jboss-jad-1.2-api
The JavaEE Application Deployment 1.2 API classes.

%package -n jboss-jaspi-1.0-api
Summary:        JBoss JASPI 1.0 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       jaspi_1_0_api
Provides:       jaspi_api = 0:1.0

%description -n jboss-jaspi-1.0-api
The Java Authentication SPI for Containers 1.0-PR API classes.

%package -n jboss-jaxr-1.0-api
Summary:        JBoss JAXR 1.0 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jaf_1_0_2_api
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       jaxr = 0:1.0
Provides:       jaxr_1_0_api
Provides:       jaxr_api = 0:1.0

%description -n jboss-jaxr-1.0-api
The Java API for XML Registries 1.0 API classes.

%package -n jboss-jca-1.5-api
Summary:        JBoss JCA 1.5 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       j2ee-connector = 0:1.5
Provides:       j2ee_connector_1_5_api
Provides:       j2ee_connector_api = 0:1.5
Provides:       jca_1_5_api
Provides:       jca_api = 0:1.5

%description -n jboss-jca-1.5-api
The J2EE Connector Architecture 1.5 API classes.

%package -n jboss-jms-1.1-api
Summary:        JBoss JMS 1.1 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jms = 0:1.1
Provides:       jms_1_1_api
Provides:       jms_api = 0:1.1

%description -n jboss-jms-1.1-api
The Java Messaging Service 1.1 API classes.

%package -n jboss-transaction-1.0.1-api
Summary:        JBoss Transaction 1.0.1 API
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Provides:       jta = 0:1.0.1B
Provides:       jta_1_0_1B_api
Provides:       jta_api = 0:1.0.1B

%description -n jboss-transaction-1.0.1-api
The Java Transaction 1.0.1 API classes.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

# FIXME remove when site plugin is working
%if %with site
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q 
%setup -q -T -D -a 6
%patch0 -p0 -b .sav0
rm -r jboss-jacc-api
mv jboss-jacc-api-1.1.0.GA_SP1 jboss-jacc-api
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

cp %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export M2_SETTINGS=$(pwd)/settings.xml
mvn-jpp \
        -e \
        -s $M2_SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Daggregate=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        install deploy:deploy javadoc:javadoc \
        %if %with site
        site
        %endif
# FIXME remove when site plugin is working

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.jboss.javaee jboss-javaee-parent %{javaee_namedversion} JPP jboss-javaee-parent
install -p -m 644 build/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-javaee-parent.pom

%add_to_maven_depmap org.jboss.javaee jboss-javaee %{javaee_namedversion} JPP jboss-javaee
install -p -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-javaee.pom
install -p -m 644 target/jboss-javaee.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-javaee-5-apis-%{version}.jar
ln -s jboss-javaee-5-apis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-javaee-%{version}.jar

%add_to_maven_depmap org.jboss.javaee jboss-ejb-api %{ejb_namedversion} JPP jboss-ejb-api
%add_to_maven_depmap javax.annotation jsr250-api 1.0 JPP jboss-ejb-api
install -p -m 644 jboss-ejb-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-ejb-api.pom
install -p -m 644 jboss-ejb-api/target/jboss-ejb-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-ejb-3.0-api-%{version}.jar
ln -s jboss-ejb-3.0-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-ejb-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb_3_0_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/annotation_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/annotation_1_0_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jacc-api %{jacc_namedversion} JPP jboss-jacc-api
install -p -m 644 jboss-jacc-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jacc-api.pom
install -p -m 644 jboss-jacc-api/target/jboss-jacc-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jacc-1.1-api-%{version}.jar
ln -s jboss-jacc-1.1-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jacc-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jacc_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jacc_1_1_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jad-api %{jad_namedversion} JPP jboss-jad-api
install -p -m 644 jboss-jad-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jad-api.pom
install -p -m 644 jboss-jad-api/target/jboss-jad-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jad-1.2-api-%{version}.jar
ln -s jboss-jad-1.2-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jad-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jad_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jad_1_2_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jaspi-api %{jaspi_namedversion} JPP jboss-jaspi-api
install -p -m 644 jboss-jaspi-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jaspi-api.pom
install -p -m 644 jboss-jaspi-api/target/jboss-jaspi-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jaspi-1.0-api-%{version}.jar
ln -s jboss-jaspi-1.0-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jaspi-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaspi_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaspi_1_0_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jaxr-api %{jaxr_namedversion} JPP jboss-jaxr-api
install -p -m 644 jboss-jaxr-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jaxr-api.pom
install -p -m 644 jboss-jaxr-api/target/jboss-jaxr-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jaxr-1.0-api-%{version}.jar
ln -s jboss-jaxr-1.0-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jaxr-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_1_0_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jca-api %{jca_namedversion} JPP jboss-jca-api
install -p -m 644 jboss-jca-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jca-api.pom
install -p -m 644 jboss-jca-api/target/jboss-jca-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jca-1.5-api-%{version}.jar
ln -s jboss-jca-1.5-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jca-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-connector.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_1_5_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jca_1_5_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jca_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jms-api %{jms_namedversion} JPP jboss-jms-api
install -p -m 644 jboss-jms-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jms-api.pom
install -p -m 644 jboss-jms-api/target/jboss-jms-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jms-1.1-api-%{version}.jar
ln -s jboss-jms-1.1-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-jms-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms_1_1_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-transaction-api %{transaction_namedversion} JPP jboss-transaction-api
install -p -m 644 jboss-transaction-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-transaction-api.pom
install -p -m 644 jboss-transaction-api/target/jboss-transaction-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-transaction-1.0.1-api-%{version}.jar
ln -s jboss-transaction-1.0.1-api-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/jboss-transaction-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta_1_0_1B_api.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# FIXME remove when site plugin is working
%if %with site
## manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp target/site/license.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -prv target/site $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/site/apidocs
(cd $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} && ln -s %{_javadocdir}/%{name}-%{version} apidocs)
for spec in ejb jacc jad jaspi jaxr jca jms transaction; do
    install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/${spec}-api
    cp -pr jboss-${spec}-api/target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/${spec}-api
done
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
%{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com

%{__install} -d -m 755 %{buildroot}%{repodir}
%{__install} -d -m 755 %{buildroot}%{repodirlib}
%{__install} -p -m 644 %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{javaee_namedversion}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__install} -d -m 755 %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/%{name}-%{version}.jar %{buildroot}%{repodirlib}/jboss-javaee.jar
%{__cp} -p build/pom.xml %{buildroot}%{repodirlib}/jboss-javaee-parent.pom
%{__cp} -p pom.xml %{buildroot}%{repodirlib}/jboss-javaee.pom
for spec in ejb jacc jad jaspi jaxr jca jms transaction; do
    %{__cp} -p jboss-${spec}-api/pom.xml %{buildroot}%{repodirlib}/jboss-${spec}-api.pom
    %{__cp} -p jboss-${spec}-api/target/jboss-${spec}-api.jar %{buildroot}%{repodirlib}/jboss-${spec}-api.jar
done
%define repodir %{_javadir}/repository.jboss.com/org/jboss/javaee/%{ejb_namedversion}-brew
%{__install} -d -m 755 %{buildroot}%{repodir}
%{__install} -d -m 755 %{buildroot}%{repodirlib}
%{__install} -p -m 644 %{SOURCE4} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{ejb_namedversion}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__install} -d -m 755 %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/jboss-ejb-3.0-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-ejb-api.jar
%{__cp} -p %{buildroot}%{_javadir}/jboss-transaction-1.0.1-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-transaction-api.jar
%{__cp} -p %{buildroot}%{_javadir}/jboss-jms-1.1-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-jms-api.jar
%{__cp} -p %{buildroot}%{_javadir}/jboss-jca-1.5-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-jca-api.jar
%{__cp} -p %{buildroot}%{_javadir}/jboss-jacc-1.1-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-jacc-api.jar
%{__cp} -p %{buildroot}%{_javadir}/jboss-jad-1.2-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-jad-api.jar

%define repodir %{_javadir}/repository.jboss.com/jboss/jboss-jaspi-api/%{jaspi_namedversion}-brew
%{__install} -d -m 755 %{buildroot}%{repodir}
%{__install} -d -m 755 %{buildroot}%{repodirlib}
%{__install} -p -m 644 %{SOURCE5} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{jaspi_namedversion}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__install} -d -m 755 %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/jboss-jaspi-1.0-api-%{version}.jar %{buildroot}%{repodirlib}/jboss-jaspi-api.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post poms
%update_maven_depmap

%postun poms
%update_maven_depmap

%post -n jboss-ejb-3.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/ejb.jar ejb %{_javadir}/jboss-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_3_0_api.jar ejb_3_0_api %{_javadir}/jboss-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_api.jar ejb_api %{_javadir}/jboss-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/annotation_api.jar annotation_api %{_javadir}/jboss-ejb-3.0-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/annotation_1_0_api.jar annotation_1_0_api %{_javadir}/jboss-ejb-3.0-api.jar 10001

%preun -n jboss-ejb-3.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove ejb %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_api %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_3_0_api %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove annotation_api %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove annotation_1_0_api %{_javadir}/jboss-ejb-3.0-api.jar
fi

%post -n jboss-jacc-1.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_1_1_api.jar jacc_1_1_api %{_javadir}/jboss-jacc-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_api.jar jacc_api %{_javadir}/jboss-jacc-1.1-api.jar 10100

%preun -n jboss-jacc-1.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jacc_api %{_javadir}/jboss-jacc-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jacc_1_1_api %{_javadir}/jboss-jacc-1.1-api.jar
fi

%post -n jboss-jad-1.2-api
%{_sbindir}/update-alternatives --install %{_javadir}/jad_1_2_api.jar jad_1_2_api %{_javadir}/jboss-jad-1.2-api.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/jad_api.jar jad_api %{_javadir}/jboss-jad-1.2-api.jar 10200

%preun -n jboss-jad-1.2-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jad_api %{_javadir}/jboss-jad-1.2-api.jar
    %{_sbindir}/update-alternatives --remove jad_1_2_api %{_javadir}/jboss-jad-1.2-api.jar
fi

%post -n jboss-jaspi-1.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaspi_1_0_api.jar jaspi_1_0_api %{_javadir}/jboss-jaspi-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaspi_api.jar jaspi_api %{_javadir}/jboss-jaspi-1.0-api.jar 10000

%preun -n jboss-jaspi-1.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaspi_api %{_javadir}/jboss-jaspi-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaspi_1_0_api %{_javadir}/jboss-jaspi-1.0-api.jar
fi

%post -n jboss-jaxr-1.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_1_0_api.jar jaxr_1_0_api %{_javadir}/jboss-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_api.jar jaxr_api %{_javadir}/jboss-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr.jar jaxr %{_javadir}/jboss-jaxr-1.0-api.jar 10000

%preun -n jboss-jaxr-1.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxr %{_javadir}/jboss-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_api %{_javadir}/jboss-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_1_0_api %{_javadir}/jboss-jaxr-1.0-api.jar
fi

%post -n jboss-jca-1.5-api
%{_sbindir}/update-alternatives --install %{_javadir}/jca_1_5_api.jar jca_1_5_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/jca_api.jar jca_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-connector.jar j2ee-connector %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_api.jar j2ee_connector_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_1_5_api.jar j2ee_connector_1_5_api %{_javadir}/jboss-jca-1.5-api.jar 10500

%preun -n jboss-jca-1.5-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee_connector_1_5_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee-connector %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove jca_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove jca_1_5_api %{_javadir}/jboss-jca-1.5-api.jar
fi

%post -n jboss-jms-1.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jms_1_1_api.jar jms_1_1_api %{_javadir}/jboss-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_api.jar jms_api %{_javadir}/jboss-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms.jar jms %{_javadir}/jboss-jms-1.1-api.jar 10100

%preun -n jboss-jms-1.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jms %{_javadir}/jboss-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_api %{_javadir}/jboss-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_1_1_api %{_javadir}/jboss-jms-1.1-api.jar
fi

%post -n jboss-transaction-1.0.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jta_2_5_api.jar jta_1_0_1_api %{_javadir}/jboss-transaction-1.0.1-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_1_0_1B_api.jar jta_api %{_javadir}/jboss-transaction-1.0.1-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_api.jar jta_api %{_javadir}/jboss-transaction-1.0.1-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta.jar jta %{_javadir}/jboss-transaction-1.0.1-api.jar 10001

%preun -n jboss-transaction-1.0.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jta %{_javadir}/jboss-transaction-1.0.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_api %{_javadir}/jboss-transaction-1.0.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_1_0_1_api %{_javadir}/jboss-transaction-1.0.1-api.jar
fi

%files
%defattr(0644,root,root,0755)
# FIXME remove when site plugin is working
%if %with site
%{_docdir}/%{name}-%{version}/license.html
%endif
%{_javadir}*/jboss-javaee-%{version}.jar
%{_javadir}*/jboss-javaee.jar
%{_javadir}*/jboss-javaee-5-apis-%{version}.jar
%{_javadir}*/jboss-javaee-5-apis.jar

%files poms
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files -n jboss-ejb-3.0-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-ejb-3.0-api-%{version}.jar
%{_javadir}*/jboss-ejb-3.0-api.jar
%{_javadir}*/jboss-ejb-api-%{version}.jar
%{_javadir}*/jboss-ejb-api.jar
%ghost %{_javadir}*/ejb.jar
%ghost %{_javadir}*/ejb_api.jar
%ghost %{_javadir}*/ejb_3_0_api.jar
%ghost %{_javadir}*/annotation_1_0_api.jar
%ghost %{_javadir}*/annotation_api.jar

%files -n jboss-jacc-1.1-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jacc-1.1-api-%{version}.jar
%{_javadir}*/jboss-jacc-1.1-api.jar
%{_javadir}*/jboss-jacc-api-%{version}.jar
%{_javadir}*/jboss-jacc-api.jar
%ghost %{_javadir}*/jacc_api.jar
%ghost %{_javadir}*/jacc_1_1_api.jar

%files -n jboss-jad-1.2-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jad-1.2-api-%{version}.jar
%{_javadir}*/jboss-jad-1.2-api.jar
%{_javadir}*/jboss-jad-api-%{version}.jar
%{_javadir}*/jboss-jad-api.jar
%ghost %{_javadir}*/jad_api.jar
%ghost %{_javadir}*/jad_1_2_api.jar

%files -n jboss-jaspi-1.0-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jaspi-1.0-api-%{version}.jar
%{_javadir}*/jboss-jaspi-1.0-api.jar
%{_javadir}*/jboss-jaspi-api-%{version}.jar
%{_javadir}*/jboss-jaspi-api.jar
%ghost %{_javadir}*/jaspi_api.jar
%ghost %{_javadir}*/jaspi_1_0_api.jar

%files -n jboss-jaxr-1.0-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jaxr-1.0-api-%{version}.jar
%{_javadir}*/jboss-jaxr-1.0-api.jar
%{_javadir}*/jboss-jaxr-api-%{version}.jar
%{_javadir}*/jboss-jaxr-api.jar
%ghost %{_javadir}*/jaxr.jar
%ghost %{_javadir}*/jaxr_1_0_api.jar
%ghost %{_javadir}*/jaxr_api.jar

%files -n jboss-jca-1.5-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jca-1.5-api-%{version}.jar
%{_javadir}*/jboss-jca-1.5-api.jar
%{_javadir}*/jboss-jca-api-%{version}.jar
%{_javadir}*/jboss-jca-api.jar
%ghost %{_javadir}*/j2ee-connector.jar
%ghost %{_javadir}*/j2ee_connector_1_5_api.jar
%ghost %{_javadir}*/j2ee_connector_api.jar
%ghost %{_javadir}*/jca_1_5_api.jar
%ghost %{_javadir}*/jca_api.jar

%files -n jboss-jms-1.1-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jms-1.1-api-%{version}.jar
%{_javadir}*/jboss-jms-1.1-api.jar
%{_javadir}*/jboss-jms-api-%{version}.jar
%{_javadir}*/jboss-jms-api.jar
%ghost %{_javadir}*/jms.jar
%ghost %{_javadir}*/jms_1_1_api.jar
%ghost %{_javadir}*/jms_api.jar

%files -n jboss-transaction-1.0.1-api
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-transaction-1.0.1-api-%{version}.jar
%{_javadir}*/jboss-transaction-1.0.1-api.jar
%{_javadir}*/jboss-transaction-api-%{version}.jar
%{_javadir}*/jboss-transaction-api.jar
%ghost %{_javadir}*/jta.jar
%ghost %{_javadir}*/jta_1_0_1B_api.jar
%ghost %{_javadir}*/jta_api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

# FIXME remove when site plugin is working
%if %with site
%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Feb 17 2011 David Walluck <dwalluck@redhat.com> 0:5.0.1-2.9
- patch ejb-api pom
- enable site
- fix repolib dir ownership
- fix maven deps
- fix removal of apidocs

* Tue Nov 30 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.0.1-2.8
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-shared-jar
- Disable site generation / manual sub-package

* Mon Nov 01 2010 David Walluck <dwalluck@redhat.com> 0:5.0.1-2.7
- add annotation_1_0_api alternatives and Provides
- add depmap for javax.annotation:jsr250-api:1.0

* Wed Jul 21 2010 David Walluck <dwalluck@redhat.com> 0:5.0.1-2.6
- fix alternatives removal for jboss-jca-1.5-api

* Thu May 06 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.0.1-2.5.1
- rebuilt

* Thu Apr 08 2010 Hui Wang <huwang@redhat.com> 0:5.0.1-2.5
- Rebuild

* Thu Jan 28 2010 David Walluck <dwalluck@redhat.com> 0:5.0.1-2.4
- switch to jbossweb for JBoss JACC 1.1 API

* Fri Aug 21 2009 David Walluck <dwalluck@redhat.com> 0:5.0.1-2.3
- upgrade to jboss-jacc-api-1.1.0.GA_SP1
- add all poms and jars to jboss/jboss-javaee repolib

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.0.1-2.2
- Remove jbossws-native-jaxrpc depmap entry as it has its maven fragment now

* Thu Jun 25 2009 Martha Benitez <mbenitez@redhat.com> 0:5.0.1-2.1
- Change jbossws-native to jbossws
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3

* Fri Jun 12 2009 Ralph Apel <r.apel@r-apel.de> 0:5.0.1-2.jpp5
- Add parent pom and depmap

* Mon Apr 13 2009 David Walluck <dwalluck@redhat.com> 0:5.0.1-1
- 5.0.1.GA
- remove servlet api package (comes from jbossweb2)

* Fri Feb 13 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-3
- add repolibs for org/jboss/javaee and jboss/jboss-jaspi-api
- add versioned and unversioned common name symlinks
- symlink to javadocs in manual instead of shipping two copies
- use install -p

* Fri Feb 13 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-2
- create %%{_javadir}/jta_1_0_1B_api.jar
- add repolib
- fix Release tag
- fix summary-ended-with-dot

* Wed Nov 12 2008 Ralph Apel <r.apel@r-apel.de> 0:5.0.0-1.jpp5
- First standalone release
